%global srcname dill

Summary: Serialize all of Python
Name: python-%{srcname}
Version: 0.3.6
Release: 3%{?dist}
License: BSD
URL: https://github.com/uqfoundation/dill
Source0: %{pypi_source}

BuildArch: noarch

%description
dill extends Python's pickle module for serializing and de-serializing Python objects to the 
majority of the built-in Python types. It provides the user the same interface as the pickle 
module, and also provides the ability to save the state of an interpreter session in a single 
command. 

%package -n python3-%{srcname}
Summary:  %{summary}
BuildRequires: python3-devel %{py3_dist setuptools}
BuildRequires: python-unversioned-command

%description -n python3-%{srcname}
dill extends Python's pickle module for serializing and de-serializing Python objects to the 
majority of the built-in Python types. It provides the user the same interface as the pickle 
module, and also provides the ability to save the state of an interpreter session in a single 
command. 


%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

# disable test at version 0.3.6 
#%%check
#export PYTHONPATH=%{buildroot}%{python3_sitelib}
# pytest does not work, see: https://github.com/uqfoundation/dill/issues/460
#%{python3} tests/__main__.py

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%exclude %{_bindir}/undill
%exclude %{_bindir}/get_objgraph
%{python3_sitelib}/%{srcname}*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.6-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.6-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 26 2023 Wang Guodong <gordonwwang@tencent.com> - 0.3.6-1
- initial build
